/**
 * main.js
 *
 * Bootstraps Vuetify and other plugins then mounts the App`
 */

// Plugins
import { registerPlugins } from '@/plugins'

// Components
import App from './main.vue'
import { createVuetify } from 'vuetify'
import { zhHans } from 'vuetify/locale'

// Composables
import { createApp } from 'vue'

const app = createApp(App)

registerPlugins(app)

const vuetify = createVuetify({
  locale: {
    locale: 'zhHans',
    messages: { zhHans },
  },
})

app.use(vuetify)
app.mount('#app')
